Subject: Re: [PATCH net-next v4 2/8] netdevice: add IPv4 fib add/del ops

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 09 Mar 2015 09:47:04 -0400

On 03/06/15 14:59, Scott Feldman wrote:
>
> I considered passing netlink flags in to driver, but the kernel logic
> in fib_table_insert() already takes care of the checks required by the
> flags, and from the driver's perspective, only three ops are needed:
> add, del, and mod.  And I've combined add and mod into the same op,
> with the assumption the driver can know if an entry exists or not.
>

That assumption is not accurate. At least in some hardware i am working
on right now a mod is cheaper than a create (and if i have to "know"
wheter i should create or modify then i actually i have to query the
hardware).

cheers,
jamal